Package com.xebialabs.xlrelease.domain.delivery

# Enum Class DeliveryStatus

java.lang.Object
java.lang.Enum<DeliveryStatus>
com.xebialabs.xlrelease.domain.delivery.DeliveryStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<DeliveryStatus>`, `Constable`

public enum DeliveryStatus extends Enum<DeliveryStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  `IN_PROGRESS`
  `TEMPLATE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DeliveryStatus[]`
  `INACTIVE_STATUSES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTemplate()`
  `String`
  `value()`
  `static DeliveryStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeliveryStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEMPLATE

    public static final DeliveryStatus TEMPLATE

  - ### IN_PROGRESS

    public static final DeliveryStatus IN_PROGRESS

  - ### COMPLETED

    public static final DeliveryStatus COMPLETED

- ## Field Details

  - ### INACTIVE_STATUSES

    public static final DeliveryStatus[] INACTIVE_STATUSES

- ## Method Details

  - ### values

    public static DeliveryStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeliveryStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isTemplate

    public boolean isTemplate()

  - ### value

    public String value()